Update Peer
Modify Peer.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Accepted Permissions (at least one required)
Body ParametersJSON
IPv4/IPv6 address of primary or secondary nameserver, depending on what zone this peer is linked to. For primary zones this IP defines the IP of the secondary nameserver Cloudflare will NOTIFY upon zone changes. For secondary zones this IP defines the IP of the primary nameserver Cloudflare will send AXFR/IXFR requests to.
Enable IXFR transfer protocol, default is AXFR. Only applicable to secondary zones.
Update Peer
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/secondary_dns/peers/$PEER_ID \
-X PUT \
-H 'Content-Type: application/json' \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
-d '{
"name": "my-peer-1",
"ip": "192.0.2.53",
"port": 53,
"tsig_id": "69cd1e104af3e6ed3cb344f263fd0d5a"
}'{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"success": true,
"result": {
"id": "23ff594956f20c2a721606e94745a8aa",
"name": "my-peer-1",
"ip": "192.0.2.53",
"ixfr_enable": false,
"port": 53,
"tsig_id": "69cd1e104af3e6ed3cb344f263fd0d5a"
}
}Returns Examples
{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"success": true,
"result": {
"id": "23ff594956f20c2a721606e94745a8aa",
"name": "my-peer-1",
"ip": "192.0.2.53",
"ixfr_enable": false,
"port": 53,
"tsig_id": "69cd1e104af3e6ed3cb344f263fd0d5a"
}
}